pcl::ReferenceFrame Struct Reference

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::ReferenceFrame:

## Public Member Functions

| ReferenceFrame (const _ReferenceFrame &p)
| ReferenceFrame ()
Public Member Functions inherited from pcl::_ReferenceFrame
Eigen::Map< Eigen::Vector3f > | getXAxisVector3fMap ()
const Eigen::Map< const Eigen::Vector3f > | getXAxisVector3fMap () const
Eigen::Map< Eigen::Vector3f > | getYAxisVector3fMap ()
const Eigen::Map< const Eigen::Vector3f > | getYAxisVector3fMap () const
Eigen::Map< Eigen::Vector3f > | getZAxisVector3fMap ()
const Eigen::Map< const Eigen::Vector3f > | getZAxisVector3fMap () const
Eigen::Map< Eigen::Matrix3f > | getMatrix3fMap ()
const Eigen::Map< const Eigen::Matrix3f > | getMatrix3fMap () const

## Friends

std::ostream & | operator<< (std::ostream &os, const ReferenceFrame &p)

## Additional Inherited Members

Public Attributes inherited from pcl::_ReferenceFrame
union {
float rf [9]
struct {
float x_axis [3]
float y_axis [3]
float z_axis [3]
} |
}; |

## Detailed Description

Definition at line 1330 of file point_types.hpp.

## Constructor & Destructor Documentation

## ReferenceFrame() [1/2]

pcl::ReferenceFrame::ReferenceFrame | ( | const _ReferenceFrame & | p | ) |

inline

Definition at line 1332 of file point_types.hpp.

References pcl::_ReferenceFrame::rf.

## ReferenceFrame() [2/2]

pcl::ReferenceFrame::ReferenceFrame | ( |  | ) |

inline

Definition at line 1338 of file point_types.hpp.

References pcl::operator<<().

## Friends And Related Function Documentation

## operator<<

std::ostream& operator<< | ( | std::ostream & | os,
|  | const ReferenceFrame & | p
| ) |  |

friend

The documentation for this struct was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/common/include/pcl/impl/point_types.hpp